package info.bukova.isspst.ui.requirements;

import info.bukova.isspst.data.Material;
import info.bukova.isspst.data.ServiceItem;
import info.bukova.isspst.services.reqsubjects.MaterialService;
import info.bukova.isspst.services.reqsubjects.ServiceItemService;

import java.util.List;

import org.zkoss.bind.annotation.Command;
import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

public class SelectItems
{
	@WireVariable
	private MaterialService materialService;
	
	@WireVariable
	private ServiceItemService serviceItemService;

	private List<Material> materialList;
	
	private List<ServiceItem> serviceItemList;

	private Material selectedMaterial;

	private ServiceItem selectedServiceItem;

	@Init
	public void init()
	{
		this.setMaterialList(materialService.getAll());
		this.setServiceItemList(serviceItemService.getAll());
	}

	public List<Material> getMaterialList()
	{
		return materialList;
	}

	public void setMaterialList(List<Material> materialList)
	{
		this.materialList = materialList;
	}

	public List<ServiceItem> getServiceItemList()
	{
		return serviceItemList;
	}

	public void setServiceItemList(List<ServiceItem> serviceItemList)
	{
		this.serviceItemList = serviceItemList;
	}

	public Material getSelectedMaterial()
	{
		return selectedMaterial;
	}

	public void setSelectedMaterial(Material selectedMaterial)
	{
		this.selectedMaterial = selectedMaterial;
	}

	public ServiceItem getSelectedServiceItem()
	{
		return selectedServiceItem;
	}

	public void setSelectedServiceItem(ServiceItem selectedServiceItem)
	{
		this.selectedServiceItem = selectedServiceItem;
	}
	
	@Command
	public void addItem()
	{
		//this
	}
}
